package com.lovecoding.day19.list01;

import org.junit.Test;

import java.util.LinkedList;

public class TestLinkedList {



    /*
        E pop() 弹出此列表所代表的堆栈中的元素。
        void push(E e) 将元素推送到此列表所表示的堆栈上。
        void addFirst(E e) 在此列表的开头插入指定的元素。

        E getFirst() 返回此列表中的第一个元素。

     */

    @Test
    public void test02(){
        LinkedList<Integer> list = new LinkedList<>();
        list.push(11);
        list.push(22);
        list.push(33);
        //先进后出
        //[ 33, 22, 11]

//        Integer pop1 = list.pop();
//        Integer pop2 = list.pop();
//        Integer pop3 = list.pop();
//
//        System.out.println(pop1);
//        System.out.println(pop2);
//        System.out.println(pop3);

        Integer last = list.getLast();
        System.out.println(last);


    }
    @Test
    public void test01(){

        LinkedList<Integer> list = new LinkedList<>();
        list.addFirst(11);
        list.addFirst(22);
        list.addFirst(33);

        System.out.println(list);

        Integer first1 = list.getFirst();
        //没有删除一直获取第一个
        System.out.println(first1);
        Integer remove1 = list.remove();
        Integer remove2 = list.remove();
        Integer remove3 = list.remove();

        System.out.println(remove1);
        System.out.println(remove2);
        System.out.println(remove3);

        System.out.println(list);

    }


}
